GetMergeCasesStatus
Returns the merge status of a case. Use this operation to track a merge that you started with StartMergeCases, or to check whether a case is part of a merge before you modify it.
The operation returns the following, depending on the case:
-
For the primary case or the secondary case of a merge that is running, it returns
IN_PROGRESS. -
For a case that was merged into another case as the secondary case, it returns
COMPLETED. -
For any other case, it returns a
ResourceNotFoundException. This includes the primary case after its merge finishes.
Endpoints: See Connect Customer endpoints and quotas.
Request Syntax
POST /domains/domainId/cases/caseId/merge-status HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- caseId
-
The unique identifier of the case. This can be the primary case or the secondary case of a merge.
Length Constraints: Minimum length of 1. Maximum length of 500.
Pattern:
[A-Za-z0-9\-._/:#=+-]*Required: Yes
- domainId
-
The unique identifier of the Cases domain.
Length Constraints: Minimum length of 1. Maximum length of 500.
Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"primaryCaseId": "string",
"secondaryCaseIds": [ "string" ],
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- primaryCaseId
-
The unique identifier of the primary case of the merge.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 500.
Pattern:
[A-Za-z0-9\-._/:#=+-]* - secondaryCaseIds
-
The unique identifiers of the secondary cases of the merge.
Type: Array of strings
Length Constraints: Minimum length of 1. Maximum length of 500.
Pattern:
[A-Za-z0-9\-._/:#=+-]* - status
-
The merge status of the case.
Type: String
Valid Values:
IN_PROGRESS | COMPLETED
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
We couldn't process your request because of an issue with the server. Try again later.
- retryAfterSeconds
-
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500
- ResourceNotFoundException
-
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.
- resourceId
-
Unique identifier of the resource affected.
- resourceType
-
Type of the resource affected.
HTTP Status Code: 404
- ThrottlingException
-
The rate has been exceeded for this API. Please try again after a few minutes.
HTTP Status Code: 429
- ValidationException
-
The request isn't valid. Check the syntax and try again.
HTTP Status Code: 400
Examples
Request and Response example
This example illustrates one usage of GetMergeCasesStatus.
{ }
{ "status": "IN_PROGRESS", "primaryCaseId": "[primary_case_id]", "secondaryCaseIds": [ "[secondary_case_id]" ] }
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: